GWME-7.1.0-5 - RAPID.pm feeder library update

Problem

Some applications or customer code which use the REST API do not always logout and release their authorization tokens. With the addition of GWME\-7.1.0\-3 \- Token management it was identified that the RAPID feeder library that ships with Groundwork sometimes leaked tokens. This update includes changes needed to release tokens that are no longer needed and to reuse tokens more consistently.

This issue was tracked in GWMON-12697.

Solution

We have provided an updated RAPID.pm file which fixes token usage for feeders that use this library.

  1. Download the patch and extract it into place:
    Name Size Creator Creation Date Comment  
    ZIP Archive TB7.1.0-5.rapid-module.tgz 55 kB NotSupportContact-Mark Carey Oct 31, 2016 17:07 MD5: e20ce3bd2e214d933f289fae0de44366  
  2. Backup the file to be replaced then apply the patch and restart:
    run as root
    tar czvf 7.1.0.rapid-module.orig.tgz /usr/local/groundwork/perl/lib/site_perl/5.8.9/GW/RAPID.pm
    tar xvf TB7.1.0-5.rapid-module.tgz -C /
    service groundwork restart